---
header: "Irccd documentation"
guide: true
---

Welcome to the irccd documentation.

# Building

Everything you need to build irccd.

  - [Build from sources](build/build-from-sources.html)
  - [Build options](build/build-options.html)

# Configuring & running

## General topics

Read the following sections to understand the configuration file format and in
which directories they are located.

  - [Paths](irccd/paths.html)
  - [Configuration file syntax](misc/configuration-syntax.html)

## Irccd

Configure and run `irccd` daemon.

  - [Configure irccd](irccd/configuring.html)
  - [Irccd command line usage](irccd/usage.html)

## Irccdctl

Everything about the `irccdctl` utility.

  - [Configure irccdctl](irccdctl/configuring.html)
  - [Irccdctl command line usage](irccdctl/usage.html)
  - [List of irccdctl commands](irccdctl/command/index.html)

# Plugins

Documentation about official irccd plugins.

  - [ask](plugin/ask.html)
  - [auth](plugin/auth.html)
  - [hangman](plugin/hangman.html)
  - [history](plugin/history.html)
  - [logger](plugin/logger.html)
  - [plugin](plugin/plugin.html)
  - [roulette](plugin/roulette.html)

# Development

Development of plugins and other development documentation.

  - [Javascript plugin introduction](dev/plugin-javascript-introduction.html)
  - [Network protocol](dev/socket-protocol.html)
  - [Network commands](dev/socket-commands.html)

# Plugin API

The official Javascript API.

  - [Javascript API](api/index.html)

# Miscellaneous

Miscellaneous documentation.

  - [Common patterns and formatting](misc/common-patterns-and-formatting.html)
